Уязвимость в Open-iSCSI

Дата публикации:
15.06.2007
Дата изменения:
09.04.2009
Всего просмотров:
1527
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3100
CVE-2007-3099
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Open-iSCSI 2.x
Уязвимые версии: Open-iSCSI версии до 2.0-865

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании приложения.

1. Уязвимость существует из-за недостаточной обработки идентификатора пользователя на слушающем AF_LOCAL сокете в интерфейсе управления в iscsid в файле usr/mgmt_ipc.c. Локальный пользователь может подключиться к интерфейсу и произвести некоторые операции по отключению соединений или завершить работу демона.

2. Локальный пользователь может также сконфигурировать семафору, используемую механизмом логирования (usr/log.c), и вызвать зависание приложения при попытке записи данных в лог файл.

URL производителя: www.open-iscsi.org

Решение: Установите последнюю версию 2.0-865 с сайта производителя.

или введите имя

CAPTCHA